import { createStore, compose} from 'redux';
import createReducer from './rootReducer';


const enhancer = compose(
    // applyMiddleware(logger)
);

function configureStore(initialState={}) {
    let store = createStore(createReducer(), initialState, enhancer);
    store.asyncReducers = {};
    return store;
}

export function injectAsyncReducer(store, asyncReducer) {
    store.asyncReducers[asyncReducer.name] = asyncReducer;
    store.replaceReducer(createReducer(store.asyncReducers));
}

window.store = configureStore();
